
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Antisymmetrization of components of a function in
// interpolating wavelet basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef AntisymmetrizeComponents_h
#define AntisymmetrizeComponents_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

ColumnVector
AntisymmetrizeComponents(
  ColumnVector vFunction,
  Array< Integer > const anDecSof,
  bool fZPresentInBasis
  );

#ifdef OCTAVE_DL_COMPILATION
#include "AntisymmetrizeComponents.cc"
#endif

#endif
