
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Class for basis multi-index.

// Header file without implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef BasisMultiIndex_h
#define BasisMultiIndex_h

#include "CommonTypes.h"

class BasisMultiIndex
  {
  public:

  WaveletType wt;
  ScalingIndex si;
  TranslationIndex ti;

  BasisMultiIndex()
    : wt( 0 ), si( 0 ), ti( 0 )
    {
    }

  BasisMultiIndex( WaveletType wt1,
		   ScalingIndex si1,
		   TranslationIndex ti1 )
    : wt( wt1 ), si( si1 ), ti( ti1 )
    {
    }
  
  };

#endif
