
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Choosing sign for a wavefunction represented
// in uniform scaling function basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ChooseSignForWavefunction_h
#define ChooseSignForWavefunction_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "UniformBasis.h"

Integer
ChooseSignForWavefunction(
  UniformBasis const & usfb,
  ColumnVector vWfScf,
  Real rSignCheckPosition
  );

#endif
