
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of mirror operator
//
//   (Qf)(r) = f(-r)
//

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeMirrorOperator_h
#define ComputeMirrorOperator_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "Basis.h"

Matrix ComputeMirrorOperator(
  Basis const & basis
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeMirrorOperator.cc"
#endif

#endif
