
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of inner product defined as integral
// of the product of functions.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeNormalInnerProduct_h
#define ComputeNormalInnerProduct_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "UniformBasis.h"

Real ComputeNormalInnerProduct(
  UniformBasis const & usfb,
  ColumnVector vFn1,
  ColumnVector vFn2
  );

#endif
