
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of wavefunctions in scf basis

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef ComputeScfWavefunctions_h
#define ComputeScfWavefunctions_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "HFDefs.h"

OCTAVE_EXPORT_FDECL
Matrix
ComputeScfWavefunctions(
  WaveletFilters const & wv,
  HFBasisData const & hfbasisdata,
  Matrix mxWf
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeScfWavefunctions.h"
#endif

#endif
