
// Distributed under GNU Lesser General Public License
// See file LICENSE


// A console HF logger

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef ConsoleHFLogger1_h
#define ConsoleHFLogger1_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "HFLogger.h"

class ConsoleHFLogger1 : public HFLogger
  {
  public:
    virtual void NotifyIterationStep( Integer nIterationStep );
    virtual void NotifyOrbitalInfo(
      Integer iOrbital, Integer nPQN, Integer nOQN, Real rEpsilon,
      Array< EnumWfRejectionReason > anRejectionReasons
      );
    virtual void NotifyConvergenceIndicators( ColumnVector vConvIndic );
  };

#endif
