
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Construction of mother scaling function \phi.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ConstructMotherScalingFunction_h
#define ConstructMotherScalingFunction_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "UsfbTabulatedFunction.h"

UsfbTabulatedFunction
ConstructMotherScalingFunction(
  WaveletFilters const & wv,
  ScalingIndex siTarget
  );

#endif
