
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Conversion of a uniform basis to array
// of basis multi-indices.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ConvertUniformBasisToArray_h
#define ConvertUniformBasisToArray_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "BasisMultiIndex.h"
#include "UniformBasis.h"

Array< BasisMultiIndex >
ConvertUniformBasisToArray( UniformBasis const & usfb );

#endif
