
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Counting nodes from a wavefunction represented
// in uniform scaling function basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef CountWavefunctionNodes_h
#define CountWavefunctionNodes_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "UniformBasis.h"
#include <utility>

#ifdef USE_NAMESPACES
using namespace std;
#endif

pair< Integer, Integer >
CountWavefunctionNodes(
  UniformBasis const & usfb,
  ColumnVector vWfScf,
  ColumnVector vWfDerivScf,
  Real rDerivThreshold
  );

#endif
