
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Construction of a range of basis multi-indices.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef GetBasisMultiIndexRange_h
#define GetBasisMultiIndexRange_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "BasisMultiIndex.h"

Array< BasisMultiIndex >
GetBasisMultiIndexRange(
  WaveletType wt,
  ScalingIndex si,
  TranslationIndex tiMin,
  TranslationIndex tiMax,
  bool fExcludeZero = false
  );

#endif
