
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Extraction of a basis part from a NSOF basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef GetBasisPartNsof_h
#define GetBasisPartNsof_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "Basis.h"
#include "BasisPart.h"

BasisPart GetBasisPartNsof(
  Basis const & basisnsof,
  Array< Integer > aiDecNsof,
  ScalingIndex siMin,
  WaveletType wt,
  ScalingIndex si
  );

#endif
