
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Extraction of the part in nonnegative real axis
// from a function in uniform scaling function basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef GetNonnegativePart_h
#define GetNonnegativePart_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "UniformBasis.h"
#include <utility>

#ifdef USE_NAMESPACES
using namespace std;
#endif

pair< UniformBasis, ColumnVector >
GetNonnegativePart(
  pair< UniformBasis, ColumnVector > const & usfbFunction_vFunction
  );

#ifdef OCTAVE_DL_COMPILATION
#include "GetNonnegativePart.cc"
#endif

#endif
