
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Extraction of translation indices from an array of
// basis multi-indices.

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "GetTranslationIndices.h"

Array< TranslationIndex >
GetTranslationIndices(
  Array< BasisMultiIndex > const & ami
  )
  {
  Integer const nLength = ami.length();
  Array< TranslationIndex > ati( nLength );
  for( Integer i1 = 0; i1 < nLength; i1++ )
    {
    ati( i1 ) = ami( i1 ).ti;
    }
  return ati;
  }
