
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Orbital-specific parameters for Hartree-Fock computations

// Header file without implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef HFOrbitalComputationParams_h
#define HFOrbitalComputationParams_h

#include "CommonTypes.h"

struct HFOrbitalComputationParams
  {
    Real rHFSlope;
    Real rAntisymmThreshold;
    Real rDerivThreshold;
    Real rSignCheckPosition;
};

#endif
