
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Class for Helium HF computation with
// 8th order interpolating wavelets

// Implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#include "HeliumHFComputationInterp8.h"
#include "GetFiltersInterp8.h"
#include "GetD1BasicIntegralsInterp8.h"
#include "GetD2BasicIntegralsInterp8.h"

void HeliumHFComputationInterp8::InitFilters( )
  {
  wv = GetFiltersInterp8( );
  vD1Filter = GetD1BasicIntegralsInterp8( );
  vD2Filter = GetD2BasicIntegralsInterp8( );
  }
