
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Class for Helium HF computation with
// 8th order interpolating wavelets,
// console output handler and logger.

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef HeliumHFComputationInterp8Derived1_h
#define HeliumHFComputationInterp8Derived1_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "HeliumHFComputationInterp8.h"
#include "ConsoleHFLogger1.h"
#include "ConsoleHeliumHFOutputHandler1.h"

class HeliumHFComputationInterp8Derived1 : public HeliumHFComputationInterp8
  {
  public:
    // pointers to inherited classes in result values
    virtual ConsoleHFLogger1* GetLogger( ) const;
    virtual ConsoleHeliumHFOutputHandler1* GetOutputHandler( ) const;
  };

#ifdef OCTAVE_DL_COMPILATION
#include "HeliumHFComputationInterp8Derived1.cc"
#endif

#endif

