
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Helium HF computation results

// Header file without implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef HeliumHFDefs_h
#define HeliumHFDefs_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "EnumHFComputationError.h"

struct HeliumHFComputationResults
  {
    EnumHFComputationError errhf;
    Integer nErrorInOrbital;
    Real rEpsilon1s;
    Real rEpsilon1sHydr;
    ColumnVector vWf1s;
    ColumnVector vWf1sHydr;
    Matrix mxOpLaplacian;
    Matrix mxOpR;
    Matrix mxOpInvR;
    Matrix mxOpZR;
    Matrix mxOpZIntZero;
    Matrix mxOpZIntInf;
    Matrix mxOpZSlater0;
    Matrix mxOpH0L0;
    Matrix mxOpJ1s;
  };

#endif
