
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Printing info for Hartree-Fock iteration step.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef PrintHFIterationInfo_h
#define PrintHFIterationInfo_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "EnumWfRejectionReason.h"

void PrintHFIterationStep( Integer nIterationStep );

void PrintHFOrbitalInfo(
  Integer nPQN, Integer nAMQN, Real rEpsilon,
  Array< EnumWfRejectionReason > anRejectionReasons
  );

void PrintHFConvergenceIndicators( ColumnVector vConvIndic );

#endif
