
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Fourth order Runge-Kutta integration for a real vector
// of values.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef RK4IntegrateValues_h
#define RK4IntegrateValues_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

ColumnVector
RK4IntegrateValues( ColumnVector vValues, Real rStep );

#endif
