
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computator class for R-operator NSOF blocks

// Implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#include "RNsofBlockComputator.h"
#include "ComputeNsofBlockR.h"

Matrix RNsofBlockComputator::Evaluate(
    ScalingIndex si, WaveletType wtTarget, WaveletType wtSource,
    Array< TranslationIndex > atiTarget,
    Array< TranslationIndex > atiSource
    ) const
  {
  return ComputeNsofBlockR(
    wv, si, wtTarget, wtSource, atiTarget, atiSource
    );
  }
