
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Conversion from real to integer number.

// Header file without implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef RealToInteger_h
#define RealToInteger_h

#include <cmath>
#include "CommonTypes.h"

inline
Integer RealToInteger( Real x, bool& exact )
  {
  Integer result = Integer( x );
  exact = ( fabs( Real( result ) - x ) == 0.0 );
  return result;
  }

#endif
