
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of x^n for x real and n integer, n >= 0.

// Header file without implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef RealToNonnegIntPower_h
#define RealToNonnegIntPower_h

#include "CommonTypes.h"

// Precondition: exponent >= 0
inline 
Real RealToNonnegIntPower( Real x, Integer exponent )
  {
  Real result = 1.0;
  for( Integer i = 0; i < exponent; i++ )
    {
    result *= x;
    }
  return result;
  }

#endif
