
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Refining a vector in uniform scaling function basis
// to next resolution level.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef RefineVectorInUsfbToNextLevel_h
#define RefineVectorInUsfbToNextLevel_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Triplet.h"

Triplet< ColumnVector, TranslationIndex, TranslationIndex >
RefineVectorInUsfbToNextLevel(
  WaveletFilters const & wv,
  Triplet< ColumnVector, TranslationIndex, TranslationIndex > const & v_ti_ti
  );

#ifdef OCTAVE_DL_COMPILATION
#include "RefineVectorInUsfbToNextLevel.cc"
#endif

#endif
