
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Sorting wavefunctions in ascending order by
// (real part of) eigenvalues.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef SortWavefunctions_h
#define SortWavefunctions_h

#include "OctaveIncludes.h"
#include "OctaveComplexIncludes.h"
#include "CommonTypes.h"
#include "Triplet.h"

Triplet< ComplexColumnVector, ComplexMatrix, Array< Integer > >
SortWavefunctions(
  ComplexColumnVector cvEigenvalues,
  ComplexMatrix cmxEigenvectors
  );

#endif
