
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of HF basis data

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef ComputeHFBasisData_h
#define ComputeHFBasisData_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "WaveletFilters.h"
#include "Basis.h"
#include "HFDefs.h"

OCTAVE_EXPORT_FDECL
HFBasisData ComputeHFBasisData(
  WaveletFilters const & wv,
  Basis const & basis,
  Integer iIndexToZ
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeHFBasisData.cc"
#endif

#endif
