
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of inner products of radial wavefunctions

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef ComputeInnerProducts_h
#define ComputeInnerProducts_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "UniformBasis.h"

OCTAVE_EXPORT_FDECL
Matrix
ComputeInnerProducts(
  UniformBasis const & usfb, Matrix mx
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeInnerProducts.cc"
#endif

#endif
