
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of a norm of real matrix.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeMatrixNorm_h
#define ComputeMatrixNorm_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

enum EnumMatrixNormType
{
  mxnormOne,
  mxnormTwo,
  mxnormInf,
  mxnormFrob
};

Real ComputeMatrixNorm( Matrix mx, EnumMatrixNormType nMatrixNormType );

#endif
