
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of normalization coefficient for
// a wavefunction tabulated at uniformly spaced intervals.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeNormalizationCoefficient_h
#define ComputeNormalizationCoefficient_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "UniformBasis.h"

Real
ComputeNormalizationCoefficient(
  UniformBasis const & usfb,
  ColumnVector vWfInUsfb
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeNormalizationCoefficient.cc"
#endif

#endif
