
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Computation of a transformation matrix.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ComputeTransform_h
#define ComputeTransform_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

Matrix ComputeTransform(
  Array< TranslationIndex > aiTarget,
  Array< TranslationIndex > aiSource,
  ColumnVector filter
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ComputeTransform.cc"
#endif

#endif
