
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Construction of a NSOF basis from a SOF basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ConstructBasisNsof_h
#define ConstructBasisNsof_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "Basis.h"
#include <utility>

#ifdef USE_NAMESPACES
using namespace std;
#endif

pair< Basis, Array< Integer > >
ConstructBasisNsof(
  Basis const & basisSof,
// degree of the interpolating wavelet family
  Integer m
  );

#ifdef OCTAVE_DL_COMPILATION
#include "ConstructBasisNsof.cc"
#endif

#endif
