
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Construction of a uniform scaling function basis
// covering given NSOF basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef ConstructScfBasis_h
#define ConstructScfBasis_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "Basis.h"
#include "UniformBasis.h"

UniformBasis ConstructScfBasis(
  Basis const & basisNsof,
  Array< Integer > const & aiDecNsof,
  Integer nWaveletDegree
  );

#endif
