
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Extraction of translation indices from an array of
// basis multi-indices.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef GetTranslationIndices_h
#define GetTranslationIndices_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "BasisMultiIndex.h"

Array< TranslationIndex >
GetTranslationIndices(
  Array< BasisMultiIndex > const & ami
  );

#endif
