
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Class for Helium HF computation with
// 8th order interpolating wavelets

// Header file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef HeliumHFComputationInterp8_h
#define HeliumHFComputationInterp8_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"
#include "HeliumHFComputation.h"

class HeliumHFComputationInterp8 : public HeliumHFComputation
  {
  public:
    virtual void InitFilters( );  
  };

#ifdef OCTAVE_DL_COMPILATION
#include "HeliumHFComputationInterp8.cc"
#endif

#endif

