
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Class for Helium HF computation with
// 8th order interpolating wavelets,
// console output handler and logger

// Implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#include "HeliumHFComputationInterp8Derived1.h"

ConsoleHFLogger1* HeliumHFComputationInterp8Derived1::GetLogger( ) const
  {
  return new ConsoleHFLogger1( );
  }

ConsoleHeliumHFOutputHandler1* 
HeliumHFComputationInterp8Derived1::GetOutputHandler( ) const
  {
  return new ConsoleHeliumHFOutputHandler1( );
  }
