
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Utilities for integer arrays (Array< Integer >)

// Header file without implementation file

// Copyright (C) 2004  Tommi Hynlnmaa

#ifndef IntegerArrayUtils_h
#define IntegerArrayUtils_h

#include "OctaveIncludes.h"
#include "CommonTypes.h"

inline
Array< Integer >
GetIntegerArray( Integer n0 )
  {
  Array< Integer > const an( 1, n0 );
  return an;
  }

inline
Array< Integer >
GetIntegerArray( Integer n0, Integer n1 )
  {
  Array< Integer > an( 2 );
  an( 0 ) = n0;
  an( 1 ) = n1;
  return an;
  }

inline
Array< Integer >
GetIntegerArray( Integer n0, Integer n1, Integer n2 )
  {
  Array< Integer > an( 3 );
  an( 0 ) = n0;
  an( 1 ) = n1;
  an( 2 ) = n2;
  return an;
  }

inline
Array< Integer >
GetIntegerArray( Integer n0, Integer n1, Integer n2, Integer n3 )
  {
  Array< Integer > an( 4 );
  an( 0 ) = n0;
  an( 1 ) = n1;
  an( 2 ) = n2;
  an( 3 ) = n3;
  return an;
  }

inline
Array< Integer >
GetIntegerArray( Integer n0, Integer n1, Integer n2, Integer n3, Integer n4 )
  {
  Array< Integer > an( 5 );
  an( 0 ) = n0;
  an( 1 ) = n1;
  an( 2 ) = n2;
  an( 3 ) = n3;
  an( 4 ) = n4;
  return an;
  }

#endif
