
// Distributed under GNU Lesser General Public License
// See file LICENSE


// Removing the highest resolution level from a NSOF basis.

// Header file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef RemoveTopFromNsofBasis_h
#define RemoveTopFromNsofBasis_h

#include "CommonTypes.h"
#include "OctaveIncludes.h"
#include "Basis.h"
#include <utility>

#ifdef USE_NAMESPACES
using namespace std;
#endif

pair< Basis, Array< Integer > >
RemoveTopFromNsofBasis(
  pair< Basis, Array< Integer > > basis_decNsof
  );

#ifdef OCTAVE_DL_COMPILATION
#include "RemoveTopFromNsofBasis.cc"
#endif

#endif
