
// Distributed under GNU Lesser General Public License
// See file LICENSE


// template struct Triplet

// Triplet of objects.

// Header file without implementation file

// Copyright (C) 2003  Tommi Hynlnmaa

#ifndef Triplet_h
#define Triplet_h

template< class T1, class T2, class T3 >
struct Triplet
  {

    T1 first;
    T2 second;
    T3 third;

    Triplet()
      : first( T1() ), second( T2() ), third( T3() )
      {
      }

    Triplet( T1 const & first_, 
             T2 const & second_, 
             T3 const & third_ )
      : first( first_ ), second( second_ ), third( third_ )
      {
      }

  };

#endif

